Bug 221636 - [NEW PORT] dns/py-ub-split-map: Alternative to split dns with Unbound
Summary: [NEW PORT] dns/py-ub-split-map: Alternative to split dns with Unbound
Status: Open
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Martin Wilke
URL:
Keywords: easy, feature, needs-patch, needs-qa
Depends on: 221776
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-19 19:37 UTC by Vidar Karlsen
Modified: 2018-07-28 02:14 UTC (History)
5 users (show)

See Also:
koobs: maintainer-feedback? (bsdfan)


Attachments
shar file for dns/py-ub-split-map (2.13 KB, text/plain)
2017-08-19 19:37 UTC, Vidar Karlsen
no flags Details
New shar file for dns/py-ub-split-map (2.14 KB, text/plain)
2017-08-24 20:10 UTC, Vidar Karlsen
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vidar Karlsen 2017-08-19 19:37:36 UTC
Created attachment 185587 [details]
shar file for dns/py-ub-split-map

ub-split-map is a python module for Unbound to dynamically map external IPs to internal RFC 1918 addresses to avoid split-horizon DNS:

The purpose of this module is to create a 1:1 split horizon IP mapping that
will map external IPs to RFC-1918 IPs. This would be a replacement for split
horizon DNS that would work in a dynamic fashion.

For example, if you had an A record for "www.example.com" that pointed to an
external IP address of 1.2.3.4 that mapped to a web server on your 192.168.0.10
on your internal network. Normally you would have to set up an internal DNS
server to return the 192.168.0.10 address as you wouldn't be able to route
to the 1.2.3.4 address.

WWW: https://stuffivelearned.org/doku.php?id=os:linux:general:splitdns
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2017-08-21 10:01:16 UTC
Review (via IRC) pending
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2017-08-21 10:10:14 UTC
Review items:

- Use PyPI (MASTER_SITES=CHEESESHOP) as the distribution file source by default, unless there is a compelling reason to use another source (such as GitHub), such as when important files (such as tests or test data files) aren't included in the PyPI sdist (source tarball).

- Add LICENSE_FILE if one exists in the distribution tarball (one does: "LICENSE")

- USES=python should ONLY declare the Python versions the package supports. If not otherwise explicitly listed/tested upstream, a bare USES=python (without the optional <:version-spec> argument should only be used if it has been explicitly tested to work with both Python 2 and 3.

In this case, without further qualifying information, it appears to only support Python 2.x [1].

When submitting new ports and updates, please also confirm that the change pass QA, portlint and poudriere in particular. For more information and instructions see: https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/testing.html

[1] setup.py: Programming Language :: Python :: 2
Comment 3 Vidar Karlsen 2017-08-24 20:10:12 UTC
Created attachment 185728 [details]
New shar file for dns/py-ub-split-map

- Switched to CHEESESHOP
- Added LICENSE_FILE
- RUN_DEPENDS is now pointing to dns/unbound-python slave port (pending PR 221776)
- Fixed USES= python:-2.7

portlint -C complains about dns/unbound-python not existing yet, but otherwise ok.

poudriere testport works fine.